# coding: utf-8
from __future__ import absolute_import

from django.db import models

from south.db import db
from south.utils import datetime_utils as datetime
from south.v2 import SchemaMigration


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Adding model 'AsyncTaskType'
        db.create_table('async_asynctasktype', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=200)),
        ))
        db.send_create_signal('async', ['AsyncTaskType'])

        # Adding model 'RunningTask'
        db.create_table('async_runningtask', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('content_type', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['contenttypes.ContentType'], null=True, blank=True)),
            ('object_id', self.gf('django.db.models.fields.PositiveIntegerField')(null=True, blank=True)),
            ('task_id', self.gf('django.db.models.fields.CharField')(max_length=36)),
            ('task_type', self.gf('django.db.models.fields.related.ForeignKey')(default=1, to=orm['async.AsyncTaskType'])),
            ('status', self.gf('django.db.models.fields.SmallIntegerField')(default=1, db_index=True)),
            ('queued_on', self.gf('django.db.models.fields.DateTimeField')(null=True, db_index=True)),
        ))
        db.send_create_signal('async', ['RunningTask'])


    def backwards(self, orm):
        # Deleting model 'AsyncTaskType'
        db.delete_table('async_asynctasktype')

        # Deleting model 'RunningTask'
        db.delete_table('async_runningtask')


    models = {
        'async.asynctasktype': {
            'Meta': {'object_name': 'AsyncTaskType'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '200'})
        },
        'async.runningtask': {
            'Meta': {'object_name': 'RunningTask'},
            'content_type': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['contenttypes.ContentType']", 'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'object_id': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'queued_on': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'db_index': 'True'}),
            'status': ('django.db.models.fields.SmallIntegerField', [], {'default': '1', 'db_index': 'True'}),
            'task_id': ('django.db.models.fields.CharField', [], {'max_length': '36'}),
            'task_type': ('django.db.models.fields.related.ForeignKey', [], {'default': '1', 'to': "orm['async.AsyncTaskType']"})
        },
        'contenttypes.contenttype': {
            'Meta': {'ordering': "('name',)", 'unique_together': "(('app_label', 'model'),)", 'object_name': 'ContentType', 'db_table': "'django_content_type'"},
            'app_label': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'model': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        }
    }

    complete_apps = ['async']
