# coding: utf-8
from __future__ import absolute_import

from django.db import models

from south.db import db
from south.utils import datetime_utils as datetime
from south.v2 import SchemaMigration


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Adding model 'ContingentModelChanged'
        db.create_table('contingent_plugin_contingentmodelchanged', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('content_type', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['contenttypes.ContentType'])),
            ('object_id', self.gf('django.db.models.fields.PositiveIntegerField')()),
        ))
        db.send_create_signal('contingent_plugin', ['ContingentModelChanged'])

        # Adding unique constraint on 'ContingentModelChanged', fields ['content_type', 'object_id']
        db.create_unique('contingent_plugin_contingentmodelchanged', ['content_type_id', 'object_id'])


    def backwards(self, orm):
        # Removing unique constraint on 'ContingentModelChanged', fields ['content_type', 'object_id']
        db.delete_unique('contingent_plugin_contingentmodelchanged', ['content_type_id', 'object_id'])

        # Deleting model 'ContingentModelChanged'
        db.delete_table('contingent_plugin_contingentmodelchanged')


    models = {
        'contenttypes.contenttype': {
            'Meta': {'ordering': "('name',)", 'unique_together': "(('app_label', 'model'),)", 'object_name': 'ContentType', 'db_table': "'django_content_type'"},
            'app_label': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'model': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        },
        'contingent_plugin.contingentmodelchanged': {
            'Meta': {'unique_together': "(('content_type', 'object_id'),)", 'object_name': 'ContingentModelChanged'},
            'content_type': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['contenttypes.ContentType']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'object_id': ('django.db.models.fields.PositiveIntegerField', [], {})
        }
    }

    complete_apps = ['contingent_plugin']
