# coding: utf-8
u"""Начальная миграция приложения."""
from __future__ import absolute_import

import datetime

from south.db import db
from south.v2 import SchemaMigration


class Migration(SchemaMigration):
    u"""Initial-миграция."""

    def forwards(self, orm):
        u"""Добавляет таблицу ws_log_smevlog в БД."""
        # Adding model 'SmevLog'
        db.create_table('ws_log_smevlog', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('service_address', self.gf('django.db.models.fields.CharField')(max_length=250, null=True, blank=True)),
            ('method_name', self.gf('django.db.models.fields.CharField')(max_length=250, null=True, blank=True)),
            ('method_verbose_name', self.gf('django.db.models.fields.CharField')(max_length=250, null=True, blank=True)),
            ('request', self.gf('django.db.models.fields.TextField')(null=True, blank=True)),
            ('response', self.gf('django.db.models.fields.TextField')(null=True, blank=True)),
            ('error', self.gf('django.db.models.fields.TextField')(null=True, blank=True)),
            ('time', self.gf('django.db.models.fields.DateTimeField')(default=datetime.datetime.now)),
            ('interaction_type', self.gf('django.db.models.fields.PositiveSmallIntegerField')(default=1)),
        ))
        db.send_create_signal('ws_log', ['SmevLog'])

    def backwards(self, orm):
        u"""Удаляет таблицу ws_log_smevlog в БД."""
        # Deleting model 'SmevLog'
        db.delete_table('ws_log_smevlog')

    models = {
        'ws_log.smevlog': {
            'Meta': {'object_name': 'SmevLog'},
            'error': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'interaction_type': ('django.db.models.fields.PositiveSmallIntegerField', [], {'default': '1'}),
            'method_name': ('django.db.models.fields.CharField', [], {'max_length': '250', 'null': 'True', 'blank': 'True'}),
            'method_verbose_name': ('django.db.models.fields.CharField', [], {'max_length': '250', 'null': 'True', 'blank': 'True'}),
            'request': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'response': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'service_address': ('django.db.models.fields.CharField', [], {'max_length': '250', 'null': 'True', 'blank': 'True'}),
            'time': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'})
        }
    }

    complete_apps = ['ws_log']
